Loading ...
Sorry, an error occurred while loading the content.

Re: [cosmacelf] TinyELF for OS X

Expand Messages
  • Dave Ruske
    ... Good idea. Actually, that s a system dialog that OS X is putting up on its own before TinyELF even runs. The system checks some metadata associated with
    Message 1 of 12 , Apr 29 11:40 AM
    • 0 Attachment
      On Apr 29, 2004, at 1:28 PM, Mark Graybill wrote:
      > OK, I tested version 0.3 under Jaguar, and it gives an incompatibility
      > message when I try to start the app now, rather than trying to limp
      > along. If it's easy to do so, you may want to provide a note stating
      > that it requires OS version 10.3 or higher to the incompatibility
      > dialog that pops up.

      Good idea. Actually, that's a system dialog that OS X is putting up on
      its own before TinyELF even runs. The system checks some metadata
      associated with the app, sees the minimum OS requirement, and aborts
      the launch. There are at least two other ways I know of to handle this,
      so eventually I hope to handle this better.

      > I've got two students about to start Elf construction projects this
      > year. I'll be training them to use their Elfs (Elves?) using TinyElf on
      > my Powerbook. I hook it up to a large-screen TV and use wireless mouse
      > and keyboard for the classroom.

      Great! I still think the ELF is a good educational tool. I've
      corresponded with Tom Pittman a little, and he's agreed to let me graft
      his "Short Course" into TinyELF's help system. If you have any
      suggestions as to how TinyELF could be improved for education, please
      let me know. Maybe your students will have some suggestions.

      Thanks again,
      Dave
    Your message has been successfully submitted and would be delivered to recipients shortly.